Subject: Re: [PATCH] fsck doc: remove ancient out-of-date diagnostics

From: Taylor Blau <[email-masked]>
Date: Tue, 19 Jan 2021 09:30:55 -0500

On Sat, Jan 16, 2021 at 06:15:00PM +0100, Ævar Arnfjörð Bjarmason wrote:
> Remove diagnostics that haven't been emitted by "fsck" or its
> predecessors for around 15 years. This documentation was added in
> c64b9b88605 (Reference documentation for the core git commands.,
> 2005-05-05), but was out-of-date quickly after that.
>
> Notes on individual diagnostics:
>
>  - "expect dangling commits": Added in bcee6fd8e71 (Make 'fsck' able
>    to[...], 2005-04-13), documented in c64b9b88605. Not emitted since
>    1024932f019 (fsck-cache: walk the 'refs' directory[...],
>    2005-05-18).
>
>  - "missing sha1 directory": Added in 20222118ae4 (Add first cut at
>    "fsck-cache"[...], 2005-04-08), documented in c64b9b88605. Not
>    emitted since 230f13225df (Create object subdirectories on demand,
>    2005-10-08).

Thanks for digging on both of these. I checked independently and came to
the same conclusion that you did, so I agree that these can be safely
removed.

  Reviewed-by: Taylor Blau <[email-masked]>

Thanks,
Taylor